CRYPTO_ABLKCIPHER_RE(9)

NAME
crypto_ablkcipher_reqtfm - obtain cipher handle from request

SYNOPSIS

struct crypto_ablkcipher * crypto_ablkcipher_reqtfm(struct ablkcipher_request * req);

ARGUMENTS

req
    ablkcipher_request out of which the cipher handle is to be obtained

DESCRIPTION

Return the crypto_ablkcipher handle when furnishing an ablkcipher_request data structure.

RETURN

crypto_ablkcipher handle

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT